scala.collection.jcl.BufferWrapper
class Range

[source: `scala/collection/jcl/BufferWrapper.scala`]

`protected` `class` Range(from : Option[Int], until : Option[Int])
  `extends` Range `with` BufferWrapper[A]

Value Summary
`val` | underlying : java.util.List Override to specify the collection being accessed through this wrapper. * Collection operations are then routed through the wrapped Java collection.

Method Summary
`override def` | elements : BufferIterator[Int, A] The default implementation of a map over mutable iterable collections.

Methods inherited from BufferWrapper
remove, add, add, addAll, indexOf, apply, set, rangeImpl, length

Methods inherited from CollectionWrapper
has, size, hasAll, addAll, toString, hashCode, equals

Methods inherited from IterableWrapper
remove, removeAll, retainAll, isEmpty, clear

Methods inherited from Buffer
projection, firstKey, lastKey, compare, remove, replace, update, transform, +, -=

Methods inherited from Collection
++, +=

Methods inherited from Ranged
from, until, range

Methods inherited from MutableIterable
--, -, retainOnly, size0

Methods inherited from Mutable
readOnly, drop, take, slice, reverse

Methods inherited from RandomAccessSeq
patch, ++, toStream, safeIs

Methods inherited from Seq
lengthCompare, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, map, flatMap, filter, takeWhile, dropWhile, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
partition, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` underlying : java.util.List

  Override to specify the collection being accessed through this wrapper. * Collection operations are then routed through the wrapped Java collection.

Overrides
  BufferWrapper.underlying

Method Details

`override` `def` elements : BufferIterator[Int, A]

  The default implementation of a map over mutable iterable collections.

Overrides
  Range.elements, BufferWrapper.elements